/* - - - - - Responsive Queries - - - - - */

@media(max-width: 1216px) {
    .container {
        max-width: 100%;
        padding: 0 15px;
    }

    .page-wrapper {
        width: calc(100% - 78px);
        margin-left: auto;
    }

    .category-wrap {
        position: relative;
        left: -15px;
    }

    .category-menu {
        border-radius: 0 40px 40px 0;
    }

    .pyramid-chart {
        width: calc(100% + 40px);
        margin: 40px -20px 0;
    }

    .chart-box {
        width: calc(33.33% - 40px);
        margin: 45px 20px;
    }

    .attendance-info {
        height: initial;
        background-color: transparent;
        box-shadow: none;
        padding: 0;
    }

    .attendance-info table {
        width: 100%;
        border-radius: 10px;
        background-color: #f9f9f9;
        min-height: 50px;
    }

    .attendance-info table td {
        position: relative;
        padding: 0;
    }

    .attendance-info table td:after {
        content: '';
        width: 1px;
        height: 50%;
        position: absolute;
        right: 0;
        top: 0;
        bottom: 0;
        margin: auto 0;
        background-color: rgba(0, 0, 0, 0.15);
    }

    .attendance-info table td:last-child:after {
        display: none;
    }

    .attendance-nav {
        width: 100%;
        margin-top: 20px;
        font-size: 20px;
    }
}

@media(max-width: 1100px) {
    .subpage-panel .promotion-card {
        width: calc(33.33% - 16px);
    }

    .gamelist-container .game-btn {
        width: calc(16.66% - 8px);
    }
}

@media(max-width: 1024px) {
    .sc-btn {
        width: calc(25% - 12px);
    }

    .footer-section {
        width: calc(100% - 8px);
        bottom: 4px;
        left: 0;
        right: 0;
        margin: 0 auto;
    }

    .pyramid-chart {
        width: 100%;
        margin: 40px 0 0;
    }

    .chart-row {
        padding: 0;
    }

    .chart-row:before {
        display: none;
    }

    .chart-box {
        width: 100%;
        max-width: 280px;
        margin: 30px auto;
    }

    .chart-box .star-badge {
        width: 80px;
        height: 80px;
        font-size: 44px;
    }

    .chart-row .chart-box .star-badge {
        width: 60px;
        height: 60px;
        font-size: 36px;
    }

    .chart-box ul {
        font-size: 14px;
    }

    .chart-row .chart-box:before {
        height: 60px;
        top: -60px;
    }
}

@media(max-width: 900px) {
    .sc-btn {
        width: calc(33.33% - 12px);
    }

    .news-card {
        width: calc(50% - 16px);
    }

    .subpage-panel .promotion-card {
        width: calc(50% - 16px);
    }

    .profit-card {
        width: calc(50% - 20px);
    }

    .gamelist-container .game-btn {
        width: calc(20% - 8px);
    }
}

@media(max-width: 767px) {
    .swiper-peaking .sports-swiper {
        width: 90%;
        margin-left: 0;
    }

    .indicator-ul li a {
        font-size: 14px;
    }

    .event-card-h {
        width: 100%;
        margin: 0 0 20px;
    }

    .pt-mobile {
        display: block;
    }

    .pt-desktop {
        display: none;
    }

    .gamelist-container .game-btn {
        width: calc(25% - 8px);
    }

    .level-information .bs-ul {
        width: 100%;
    }

    .level-information .bs-ul li {
        width:calc(50% - 3px);
        height: 40px;
        margin-right: 6px;
    }

    .level-information .bs-ul li:last-child {
        margin-right: 0;
    }

    .level-information .bs-ul li .labels {
        margin-right: 10px;
    }

    .level-information .point-form{
        width:100%;
        margin: 5px 0 0;
    }

    .attendance-info table {
        background-color: transparent;
    }

    .attendance-info table td {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: flex-start;
        padding: 0 0 0 15px;
        background-color: #e2f5da;
        border-radius: 10px;
        margin: 2px 0;
    }

    .attendance-info table td:after {
        display: none;
    }
}

@media(max-width: 600px) {
     .container {
        padding: 0 5px;
    }

    .providers-panel {
        width: calc(100% + 8px);
        margin-left: -4px;
        margin-right: -4px;
    }

    .sc-btn {
        width: calc(50% - 8px);
        margin: 0 4px 8px;
    }

    .indicator-ul li {
        padding: 0 10px;
    }

    .indicator-ul li a .iconify {
        margin-right: 3px;
    }

    .news-card {
        width: 100%;
        margin: 0 0 16px;
    }

    .subpage-header {
        padding-left: 10px;
    }

    .subpage-wrapper {
        padding-left: 10px;
        padding-right: 10px;
    }

    .subpage-panel .promotion-card {
        width: 100%;
        max-width: 300px;
        margin: 0 auto 16px;
    }

    .gamelist-container .game-btn {
        width: calc(33.33% - 8px);
    }

    .gamelistModal .modal-wrapper {
        padding-left: 15px;
        padding-right: 15px;
    }

    .gamelist-title {
        height: 42px;
        font-size: 18px;
    }

    .gamelist-container.gamelist-scroll {
        width: 100%;
        max-height: initial;
        overflow-y: auto;
        margin: 5px 0 0;
        padding: 0;
    }

    .sc-btn .a-footer {
        font-size: 14px;
}

@media(max-width: 500px) {
    .header-top {
        padding: 0 15px;
    }

    .sc-btn .g-logo img {
        max-width: 70%;
    }

    .sc-btn .g-panel {
        border-radius: 20px;
    }

    .xs-tag-panel {
        border-radius: 20px;
    }

    .xs-tag-panel .xs-tag {
        width: 40px;
        height: 40px;
    }

    .xs-tag-panel .xs-tag span {
        font-size: 10px;
    }

    .sc-btn .tag-panel {
        width: 36px;
        left: 6%;
        bottom: 4%;
    }

    .sc-btn .tag-panel .tag {
        height: 12px;
        margin: 3px 0;
    }

    .profit-table {
        font-size: 14px;
    }

    .profit-card {
        padding: 8px 5px 5px;
    }
    
    .profit-card .card-badge {
        width: calc(100% - 16px);
        height: 80pxx;
    }

    .profit-card .card-badge button {
        font-size: 14px;
    }

    .profit-card .card-badge .amount {
        font-size: 18px;
    }

    .profit-card .card-badge .sub {
        font-size: 12px;
    }

    .sidebar-right {
        padding-top: 20px;
        padding-left: 40px;
        padding-right: 40px;
    }

    .attendance-calendar td {
        height: 100px;
    }

    .attendance-calendar td .info-panel {
        padding-top: 15px;
    }

    .attendance-calendar td .attend-stamp {
        width: 40px;
    }

    .attendance-calendar td .date {
        left: 0;
        top: 0;
    }

    .attendance-calendar td .info-panel {
        font-size: 10px;
    }

    .attendance-calendar td .info i {
        margin-right: 0;
    }

    .eventModal .modal-wrapper {
        padding: 32px 5px 32px;
    }

    .modal .close-btn {
        right: 10px;
        top: 10px;
    }
}


/* - - - - - - - - - - Jackpot Play Queries - - - - - - - - - - */

@media(max-width: 820px) {
    .sm-row .form-amount .labels {
        font-size: 2.69vw;
    }

    .sm-row .form-amount .amount-panel input {
        font-size: 2.69vw;
    }

    .sm-row .form-points .labels {
        font-size: 2.2vw;
    }

    .sm-row .form-points .input-panel input {
        font-size: 2.28vw;
    }
}

@media(max-width: 500px) {
    .jackpot-play .close-button {
        top: -6%;
    }

    .jackpot-play {
        overflow: hidden;
        border-radius: 20px;
    }

    .jp-bg {
        border-radius: 15px;
        height: 120%;
        width: 130% !important;
    }

    .slot-machine {
        width: 92%;
        bottom: -8%;
    }

    .jp-background {
        top: 10.5%;
    }

    .jp-background .panda {
        width: 30%;
        right: -4%;
    }

    .jp-background .chest {
        width: 60%;
        left: 2%;
        bottom: 24%;
    }

    .jp-background .cat {
        width: 25%;
        left: 0%;
    }

    .sm-row .form-amount .labels {
        font-size: 3.19vw;
    }

    .sm-row .form-amount .amount-panel input {
        font-size: 4vw;
        top: 6%;
    }

    .sm-row .form-points .labels {
        font-size: 2.7vw;
    }

    .sm-row .form-points .input-panel input {
        font-size: 3.5vw;
        top: 6%;
    }
}

@media(max-width: 414px) {
    .sm-row .form-points .input-panel {
        margin: -2% auto 0;
    }

    .sm-bottom {
        margin: 1.5% 0 0;
    }

    .sm-arrow {
        margin: 0;
    }

    .sm-arrow img {
        top: 20%;
    }

    .sm-arrow .arrow-img {
        top: 0;
    }
}


/* Visual Section */

@media(max-width: 1200px) {
    .swiper .swiper-slide {
        border-radius: 10px;
    }

    .visual-section .text-panel h1 {
        font-size: 5.5vw;
    }

    .visual-section .text-panel h2 {
        font-size: 4.5vw;
    }

    .visual-section .text-panel h6 {
        font-size: 2.33vw;
    }
}

@media(max-width: 500px) {
    .after-login .info-panel:nth-child(2),
    .after-login .info-panel:nth-child(3) {
        display: none !important;
    }

    .al-active .mid-background {
        width: 202px;
    }

    .al-active .header-background:before, 
    .al-active .header-background:after {
        width: calc(100% - 105px);
    }

    .after-login .info-panel {
        width: 202px;
        border-radius: 20px !important;
    }
}

@media(max-width: 500px) {
    .game-btn .title {
        font-size: 12px;
        margin: 0;
    }

    .game-btn, .game-btn .g-panel {
        border-radius: 15px;
    }
}

@media(max-width: 600px) {
    .modal-sidebar {
        display: none !important;
    }

    .loginModal .modal-wrapper {
        min-height: initial;
    }
}


/* Top Games */

@media(max-width: 500px) {
    .topgames-section {
        margin-top: 10px;
        margin-bottom: 8px;
    }

    .container-fluid {
        padding: 0 5px;
    }

    .topgames-wrap {
        padding: 0 15px;
    }

    .topgames-wrap .section-header {
        margin: 10px 0 -45px;
    }

    .topgames-wrap .section-header .title-panel {
        font-size: 18px;
    }

    .topgames-wrap .section-header .title-panel .en-text {
        font-size: 20px;
    }

    .topgames-swiper {
        width: 100%;
        overflow: hidden;
    }
}


/* Event */

@media(max-width: 767px) {
    .ne-wrap {
        width: calc(100% + 10px);
        margin: 0 -5px;
    }

    .event-a {
        width: calc(50% - 10px);
        margin: 0 5px 10px;
    }
}

@media(max-width: 500px) {
    .event-a .title {
        font-size: 14px;
    }

    .event-a .date-panel {
        font-size: 11px;
    }

    .event-a .view-btn {
        max-width: 96px;
        height: 32px;
    }

    .event-a .tag {
        width: 70px;
        height: 22px;
        font-size: 12px;
        padding: 0 0 0 10px;
    }

    .table-nav .btn-grp button {
        width: 66px;
        height: 24px;
        font-size: 12px;
        margin-left: 4px;
    }

    .view-content {
        margin: 0;
    }

    .view-content img {
        border-radius: 8px;
    }
}

/* Biggest Winners */

@media(max-width: 1500px) {
    .winner-wrap .left-panel {
        width: 50%;
    }

    .winner-wrap .right-panel {
        width: 50%;
    }

    .winner-wrap .bg:before {
        width: 59%;
    }
}

@media(max-width: 1300px) {
    .winner-wrap .bg:before {
        width: 64%;
    }

    .winner-wrap .title-panel br {
        display: block;
    }
}

@media(max-width: 1024px) {
    .winner-wrap .title-panel br {
        display: block;
    }

    .winner-wrap .title-panel .title {
        font-size: 30px;
    }
}

@media(max-width: 900px) {
    .winner-wrap {
        padding: 30px 20px;
    }
}

@media(max-width: 800px) {
    .winner-wrap .left-panel {
        width: 100%;
    }

    .winner-wrap .title-panel {
        width: 100%;
        text-align: center !important;
        margin: 0 0 10px;
    }

    .winner-wrap .title-panel br {
        display: none;
    }

    .winner-wrap .title-panel .title {
        font-size: 24px;
    }

    .winner-wrap .title-panel .sub {
        color: #adb0ca;
        font-size: 16px;
    }

    .winner-wrap .right-panel {
        width: 100%;
        justify-content: center;
    }

    .winner-wrap .title-panel button {
        display: none;
    }

    .winner-wrap .bg:before {
        display: none;
    }
}

@media(max-width: 500px) {
    .winners-section {
        margin-top: 20px;
    }

    .winner-wrap {
        padding: 20px 10px 20px;
    }

    .winner-table li .win-tr {
        width: 100%;
        min-height: 60px;
        margin: 2px 0;
    }

    .winner-wrap .title-panel .title {
        display: none;
    }

    .winner-wrap .title-panel .sub {
        color: #ffffff;
        font-size: 24px;
    }

    .winner-table li .user-td .icon-img {
        max-width: 32px;
    }

    .winner-table li .amount-td {
        font-size: 18px;
    }
}


/* Latest Bet */

@media(max-width: 767px) {
    .lb-table.head {
        display: none !important;
    }

    .latestbet-table {
        padding: 10px;
    }

    .lb-table.body .lb-tr {
        height: 70px;
        padding: 5px;
        flex-wrap: wrap;
        padding-left: 65px;
    }

    .lb-table.body .lb-tr:nth-child(n+11) {
        display: none !important;
    }

    .lb-table.body .lb-td {
        width: 50%;
        min-height: initial;
    }

    .lb-table.body .game-td {
        width: 60px;
        position: absolute;
        left: 5px;
        top: 5px;
    }

    .lb-table .game-panel {
        width: 100%;
    }

    .lb-table .game-td { order: 1; }
    .lb-table .name-td { order: 2; }
    .lb-table .user-td { order: 3; }
    .lb-table .time-td { order: 4; }
    .lb-table .amount-td:nth-child(5) { 
        order: 5;
        display: none;
    }
    .lb-table .odds-td { order: 6; }
    .lb-table .amount-td:nth-child(7) { order: 7; }

    .lb-table .name-td,
    .lb-table .odds-td,
    .lb-table .time-td {
        justify-content: flex-start;
        padding-left: 10px;
    }

    .lb-table.body .time-td,
    .lb-table.body .odds-td {
        width: 25%;
    }

    .lb-table .odds-td{
        width: 25%;
        color: #ead347;
    }

    .lb-table .user-td,
    .lb-table .amount-td {
        justify-content: flex-end;
        padding-right: 10px;
    }

    .lb-table.body .date-td {
        font-size: 14px;
    }

    .lb-table.body .lb-td span {
        display: inline-block;
        text-overflow: ellipsis;
        overflow: hidden;
        max-width: 100%;
        white-space: nowrap;
    }
}

@media(max-width: 500px) {
    .winner-table li .count-td {
        width: 40px;
    }

    .winner-table li .game-td {
        width: calc(45% - 40px);
        padding-left: 0;
    }

    .winner-table li .count-td .icon-img {
        max-width: 26px;
    }

    .winner-table li .amount-td {
        font-size: 16px;
    }
}